mycolor = jet;
mycolor(1,:)=[1 1 1];

k=ind2rgb( round(u*2), mycolor);
    
[gxz,gyz]=gradient(z,dx_horiz,dx_horiz);
[gxh,gyh]=gradient(h,dx_horiz,dx_horiz);
gx = gxz+gxh;
gy = gyz+gyh;

set(gca,'ydir','normal');
axis equal;
j = ind2rgb(round((gx-gy)*100+30), gray);

zone = h*0;
ind = find(h>=0);
zone(ind)=0.2;
zone3c = zone;
zone3c(:,:,2) = zone;
zone3c(:,:,3) = zone;

m = j.*k + zone3c;
ind = find(m>1); m(ind)=1;
ind = find(m<0); m(ind)=0;

cla
image(x,y,m);
hold on
[a,b]=contour(x,y,h, [0 10 50 100 200 500],'-w');
contour(x,y,h, [0 0.01],'-k');
set(gca,'ydir','normal');
axis equal;
axis tight;

set(gcf, 'color', 'w');