load z_h_condint.mat %load the topography, the initial thickness, and internal conditions

[nrow, ncol] = size(z);

dtini=0.5;
dtplot = 10;
tmax = 800;
g=9.81;

%mechanical behaviour
delta_int = 0/180*pi;
delta_bed = 0/180*pi;
cohesion  =  52000;
rho       = 2000;
coef_u2   = 0;
viscosity = 0;

representation = 'repr_soc'; %calls a file for a better representation
f_avi          = 'socompa.avi';
f_data         = 'socompa.dat';

source       = '';
cond_limites = '';

dx_horiz = 200; %space steps
dy_horiz = 200;
x = [1:ncol]*dx_horiz; %x and y vectors
y = [1:nrow]*dx_horiz;

u_xx = z(1:nrow, 1:ncol-1)*0; %initial velocity
u_xy = z(1:nrow, 1:ncol-1)*0;
u_yy = z(1:nrow-1, 1:ncol)*0;
u_yx = z(1:nrow-1, 1:ncol)*0;

t=0;   %just for the first slide, at t=0.
u=h*0; %just for the first slide, at t=0.


